Chalk = require 'chalk'
Git   = require 'gitconfiglocal'


module.exports =
  checkGit: ->
    done = @async()
    @spawnCommand('git', ['rev-parse']).on 'close', ((data) ->
      return @env.error 'you must be inside your repo' if data > 0
      done()
    ).bind(this)

  getGitName: ->
    done = @async()
    Git './', ((err, config) ->
      url = config.remote.origin.url
      @gitName = url.split('/').pop().split('.').slice(0, -1).join('.') or ''
      done()
    ).bind(this)



