Path = require 'path'

Chalk  = require 'chalk'
Mkdirp = require 'mkdirp'

module.exports =
  makeModuleFolder: ->
    Mkdirp.sync(@LOCALS.moduleName)
    @destinationRoot(@LOCALS.moduleName)

  getRepo: ->
    done = @async()
    @spawnCommand('svn', ['export', "https://github.com/IntelisisG4/modules/trunk/npm-#{@LOCALS.path}end-boilerplate", "templates"]).on 'close', ((data) ->
      @oldSourceRoot = @sourceRoot()
      @sourceRoot("templates")
      done()
    ).bind(this)

  bulk: ->
    @fs.copy @templatePath('**/*'), @destinationRoot()

  packageJSON: ->
    @sourceRoot @oldSourceRoot
    @fs.copyTpl @templatePath("_#{@LOCALS.path}package.json"), @destinationPath('package.json'), @LOCALS



