{generators} = require 'yeoman-generator'
Chalk        = require 'chalk'
Mkdirp       = require 'mkdirp'

initializing = require './initializing'
prompting    = require './prompting'
configuring  = require './configuring'
writing      = require './writing'
install      = require './install'
end          = require './end'

module.exports = generators.Base.extend
  constructor: ->
    generators.Base.apply(this, arguments)
    @argument 'appname',
      type     :String
      required :false
    @appname = @appname or ''


  initializing : initializing
  prompting    : prompting
  configuring  : configuring
  writing      : writing
  install      : install
  end          : end



